edu.sc.seis.sod.process.waveform.vector

## Class ANDWaveformProcessWrapper

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.vector.ANDWaveformProcessWrapper

- All Implemented Interfaces:
    WaveformProcessWrapper, WaveformVectorProcess, SodElement, Subsetter, Threadable

      public class ANDWaveformProcessWrapper
      extends java.lang.Object
      implements WaveformProcessWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANDWaveformProcessWrapper(org.w3c.dom.Element config)`
    `ANDWaveformProcessWrapper(WaveformProcess subsetter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `WaveformProcess` | `getProcess()`
    `WaveformProcess` | `getWrappedProcess()`
    `boolean` | `isThreadSafe()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ANDWaveformProcessWrapper

          public ANDWaveformProcessWrapper(WaveformProcess subsetter)

    - #### ANDWaveformProcessWrapper

          public ANDWaveformProcessWrapper(org.w3c.dom.Element config)
                                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getProcess

          public WaveformProcess getProcess()

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getWrappedProcess

          public WaveformProcess getWrappedProcess()

      Specified by:
        `getWrappedProcess` in interface `WaveformProcessWrapper`

    - #### isThreadSafe

          public boolean isThreadSafe()

      Specified by:
        `isThreadSafe` in interface `Threadable`